Subject: Re: memory corruption after MMU turned on

From: Dave Liu <[email-masked]>
Date: Sun, 19 Nov 2006 14:01:42 +0800

On Sat, 2006-11-18 at 16:53 -0500, Lei Sun wrote:
> I tried enable i-cache, but it looks fine, however if i enable

Okay, That means the burst read memory is right. I think you should
check the code at the else, not only focus on RFI. Maybe the problem is
at the else position. When kernel boot stop, can not see any more
printed message, you can attach to the process with CW and USBTAP. see
where the current program pointer is.

> d-cache, u-boot corrupted right away, debugger showed some garbage
> memory instead of valid instruction.
<snip>